Added

Version 1.35.0

Third Party API (v 1.35.0)


What's Changed


GET /api/business/{businessId}/branch/{branchId}/service/{serviceId}
Return Type:

Changed response : 200 OK

Specified branch service retrieved

  • Changed content type : application/json

    • Added property userPrices (array)

      Staff-specific prices for this service, keyed by the userId of the staff member. A staff-specific price takes precedence over the staff category price in staffCategories, which takes precedence over price. May include entries for staff who are not currently active in this branch, so match on the userId of the branch staff

      Items (object):

      Staff-specific prices for this service, keyed by the userId of the staff member. A staff-specific price takes precedence over the staff category price in staffCategories, which takes precedence over price. May include entries for staff who are not currently active in this branch, so match on the userId of the branch staff

      • Property userRef (string)

        User ID of the staff member. Matches userId on the staff resource

      • Property price (number)

GET /api/business/{businessId}/branch/{branchId}/service
Return Type:

Changed response : 200 OK

Branch services listed

  • Changed content type : application/json

    • Changed property _embedded (object)

      • Changed property services (array)

        Changed items (object):

        • Added property userPrices (array)

          Staff-specific prices for this service, keyed by the userId of the staff member. A staff-specific price takes precedence over the staff category price in staffCategories, which takes precedence over price. May include entries for staff who are not currently active in this branch, so match on the userId of the branch staff

Result


API changes are backward compatible